## r-cran-webutils 1.0

=== DESCRIPTION ===
Package: webutils
Type: Package
Title: Utility Functions for Developing Web Applications
Version: 1.0
Author: Jeroen Ooms
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Description: Parses http request data in application/json, multipart/form-data, 
    or application/x-www-form-urlencoded format. Includes example of hosting
    and parsing html form data in R using either 'httpuv' or 'Rhttpd'.
License: MIT + file LICENSE
URL: https://github.com/jeroen/webutils
BugReports: https://github.com/jeroen/webutils/issues
Imports: curl (>= 2.5), jsonlite
Suggests: httpuv, testthat
RoxygenNote: 6.1.1
Language: en-US
NeedsCompilation: yes
Packaged: 2019-08-21 10:13:03 UTC; jeroen
Repository: CRAN
Date/Publication: 2019-08-21 12:40:06 UTC

## r-cran-webutils 0.6

=== debian/changelog ===
r-cran-webutils (0.6-2) unstable; urgency=medium

  * Team upload.
  * Maintainer: Debian R Packages Maintainers.
  * Standards-Version: 4.2.1
  * Add r-cran-httpuv to Test-Depends

 -- Dylan Aïssi <daissi@debian.org>  Sat, 01 Dec 2018 18:19:35 +0100

r-cran-webutils (0.6-1) unstable; urgency=medium

  * Initial release (closes: #892017)

 -- Andreas Tille <tille@debian.org>  Sun, 04 Mar 2018 08:24:08 +0100

=== debian/control ===
Source: r-cran-webutils
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-curl (>= 2.5),
               r-cran-jsonlite
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-webutils
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-webutils.git
Homepage: https://cran.r-project.org/package=webutils

Package: r-cran-webutils
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         libjs-bootstrap
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R utility functions for developing web applications
 High performance in-memory http request parser for application/json,
 multipart/form-data, and application/x-www-form-urlencoded. Includes live demo
 of hosting and parsing multipart forms with either 'httpuv' or 'Rhttpd'.

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/webutils_([-\d.]*)\.tar\.gz

## r-cran-webutils 1.0

=== debian/changelog ===
r-cran-webutils (1.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Repository.
  * Ignore test accessing remote location

 -- Andreas Tille <tille@debian.org>  Thu, 05 Sep 2019 13:19:48 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-curl (>= 2.5),
                r-cran-jsonlite
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-webutils
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-webutils.git
 Homepage: https://cran.r-project.org/package=webutils
@@ -17,8 +17,7 @@
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends},
-         libjs-bootstrap
+         ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: GNU R utility functions for developing web applications

## r-cran-webutils 1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: webutils
 Type: Package
 Title: Utility Functions for Developing Web Applications
-Version: 1.0
+Version: 1.1
 Author: Jeroen Ooms
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Description: Parses http request data in application/json, multipart/form-data, 
@@ -12,9 +12,9 @@
 BugReports: https://github.com/jeroen/webutils/issues
 Imports: curl (>= 2.5), jsonlite
 Suggests: httpuv, testthat
-RoxygenNote: 6.1.1
+RoxygenNote: 7.0.2
 Language: en-US
 NeedsCompilation: yes
-Packaged: 2019-08-21 10:13:03 UTC; jeroen
+Packaged: 2020-04-28 20:22:33 UTC; jeroen
 Repository: CRAN
-Date/Publication: 2019-08-21 12:40:06 UTC
+Date/Publication: 2020-04-28 21:00:02 UTC

=== debian/changelog ===
r-cran-webutils (1.1-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 14:31:18 +0000

r-cran-webutils (1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 06 May 2020 14:05:48 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,18 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-curl (>= 2.5),
                r-cran-jsonlite
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-webutils
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-webutils.git
 Homepage: https://cran.r-project.org/package=webutils
+Rules-Requires-Root: no
 
 Package: r-cran-webutils
 Architecture: any

## r-cran-webutils 1.2.0

=== DESCRIPTION ===
Package: webutils
Type: Package
Title: Utility Functions for Developing Web Applications
Version: 1.2.0
Author: Jeroen Ooms
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Description: Parses http request data in application/json, multipart/form-data, 
    or application/x-www-form-urlencoded format. Includes example of hosting
    and parsing html form data in R using either 'httpuv' or 'Rhttpd'.
License: MIT + file LICENSE
URL: https://jeroen.r-universe.dev/webutils
BugReports: https://github.com/jeroen/webutils/issues
Imports: curl (>= 2.5), jsonlite
Suggests: httpuv, testthat
RoxygenNote: 7.0.2
Language: en-US
NeedsCompilation: yes
Packaged: 2023-11-24 11:34:37 UTC; jeroen
Repository: CRAN
Date/Publication: 2023-11-24 12:00:02 UTC

=== debian/changelog ===
r-cran-webutils (1.2.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  Set upstream metadata fields: Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Tue, 19 Dec 2023 14:44:37 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-curl (>= 2.5),
+               r-cran-curl,
                r-cran-jsonlite
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-webutils
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-webutils.git
 Homepage: https://cran.r-project.org/package=webutils

## r-cran-webutils 1.2.2

=== DESCRIPTION ===
Package: webutils
Type: Package
Title: Utility Functions for Developing Web Applications
Version: 1.2.2
Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroenooms@gmail.com",
      comment = c(ORCID = "0000-0002-4035-0289"))
Description: Parses http request data in application/json, multipart/form-data, 
    or application/x-www-form-urlencoded format. Includes example of hosting
    and parsing html form data in R using either 'httpuv' or 'Rhttpd'.
License: MIT + file LICENSE
URL: https://jeroen.r-universe.dev/webutils
BugReports: https://github.com/jeroen/webutils/issues
Imports: curl (>= 2.5), jsonlite
Suggests: httpuv, testthat
RoxygenNote: 7.3.2.9000
Language: en-US
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2024-10-03 14:13:23 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>)
Maintainer: Jeroen Ooms <jeroenooms@gmail.com>
Repository: CRAN
Date/Publication: 2024-10-04 09:00:05 UTC

=== debian/changelog ===
r-cran-webutils (1.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Mon, 07 Oct 2024 10:29:12 +0900

r-cran-webutils (1.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 17 Sep 2024 08:38:27 +0900

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-cran-curl,
                r-cran-jsonlite
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-webutils
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-webutils.git
 Homepage: https://cran.r-project.org/package=webutils

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-httpuv,
        r-cran-testthat
Restrictions: allow-stderr
